MARTe2-core - User story #238

Streams
29.09.2015 16:34 - André Neto

Status: Closed Start date: 29.09.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.6 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Port the Stream classes from the develop_svn branch.
The Stream classes inherit the main functionality from IOBuffer and specialise for the specific stream.

Source code files modified

Architecture & design review
Date of the review: 29/09/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 22/10/2015

Person who did the review: R. Vitelli

Result of review: PASS

List of non-conformities: N/A.

Unit test review

Date of the review: 22/10/2015

Person who did the review: R. Vitelli
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

Associated revisions
Revision a2604bcd - 04.10.2015 21:22 - André Neto

#238 first refactor of streams

BufferedStream is now DoubleBufferedStream
Streamable is now BufferedStream.

Revision 3c6dbb2e - 06.10.2015 11:06 - Giuseppe Ferro

Separated double and single buffered streams.
Added templates to other streams
#238

Revision a530113d - 06.10.2015 13:45 - Giuseppe Ferro

Lint of BufferedStream, StreamString, StreamMemoryReference done.
#238

Revision 3ede71b1 - 06.10.2015 16:17 - Giuseppe Ferro

Lint of single and double buffered streams done.
#238

Revision 3f338da5 - 08.10.2015 14:17 - Giuseppe Ferro

Added some lint exceptions.
#238

Revision fd930531 - 08.10.2015 15:55 - Giuseppe Ferro

Lint of IOBuffers, Streams and IOBufferFunctions done.
#237 #238

Revision 7b274797 - 10.10.2015 18:06 - André Neto

#238 Finished documentation of BufferedStream.

SingleBufferedStream is still wip.

Revision 04ca5e7a - 13.10.2015 10:31 - André Neto

#238 Documentation of SingleBufferedStream almost ready.

Documented BufferedStream and SingleBufferedStream. Still some questions
on the interface to be addressed.

Revision c6ace096 - 13.10.2015 15:11 - lvan Herrero
Merge remote-tracking branch 'origin/#237.2_IOBuffer_Functions' into #238.1_Streams

Revision f6aee7b8 - 14.10.2015 14:36 - lvan Herrero

#238 - Update documentation, fix linting issues, and apply formatting
for stream classes.

Revision b0474e83 - 14.10.2015 14:51 - Giuseppe Ferro

Removed the RawStream pointer to BufferedStream and added unbuffered
virtual functions instead.

Work in progress with buffer tests.

#237 #238

Revision bc28ad06 - 15.10.2015 09:35 - André Neto

#237 and #238 finished consistent implementation of timeout.

Revision 0¢5202eb - 15.10.2015 10:19 - André Neto

#238 Finished documentation of DoubleBufferedStream.

Revision b8b7f70a - 15.10.2015 11:02 - Ivan Herrero

#238 - Move functions to the right sections

Revision 727b05e7 - 15.10.2015 15:11 - Ivan Herrero
#238 - Update documentation

Revision b0907c20 - 15.10.2015 17:51 - André Neto
#238 Removed the GetC and PutC from the streams.

Revision 48335efb - 15.10.2015 17:59 - Ilvan Herrero
#238 - Update documentation

Revision c¢85204fa - 16.10.2015 17:11 - André Neto
#238 Added TestCopy to BufferedStreamTest

Revision d9689cb1 - 17.10.2015 21:28 - André Neto

#238 Finished first version of SingleBufferStreamTest.
Merge remote-tracking branch 'origin/#237.2_|OBuffer_Functions' into
#238.2_Streams_Test

Conflicts:
Test/Core/BareMetal/L3Streams/StreamTestHelper.h

Revision 619c015e - 18.10.2015 17:14 - André Neto

#238 Fixed linting errors. Testing of DoubleBufferedStream in progress.

Revision b5fb4f5a - 19.10.2015 12:08 - Giuseppe Ferro

Added Shift tests.

Added CanRead check before GetToken in streams
Added CanWrite check before Printf in streams
#237 #238

Revision 43ac8ceb - 19.10.2015 15:39 - Giuseppe Ferro

Added OperatingSystemCallbacks.
StreamString tests wip.
#238

Revision 0d90d423 - 19.10.2015 18:51 - André Neto
#238 Finished SingleBufferedStream tests

Revision df51537a - 20.10.2015 10:20 - André Neto
#238 finished testing of Single and DoubleBufferedStream

Revision 44dd1c10 - 20.10.2015 12:13 - Ivan Herrero

#238 - Improve documentation for streams base abstract class.

Revision d77ebff4 - 20.10.2015 12:15 - Ivan Herrero
Merge branch '#238.2_Streams_Test' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.qit into #238.2_Streams_Test

Revision bad70050 - 20.10.2015 12:17 - André Neto

#238 Minor cosmetic changes to StreamTestHelper.h

Revision f241af18 - 20.10.2015 12:17 - André Neto
Merge branch '#238.2_Streams_Test' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.qit into #238.2_Streams_Test

Revision 2d740ba2 - 20.10.2015 12:41 - Giuseppe Ferro
StreamString and StreamMemoryReference tests done.
#238

Revision 66185c4c - 20.10.2015 17:00 - lvan Herrero

#238 - Improve documentation and formatting of stream familiy classes.

Revision 0f59¢d90 - 21.10.2015 09:43 - Giuseppe Ferro
Merge remote-tracking branch 'origin/#237.2_IOBuffer_Functions' into #238.2_Streams_Test

Revision 03307988 - 21.10.2015 09:46 - Giuseppe Ferro
Merge remote-tracking branch 'origin/237.3_Shift' into
#238.2_Streams_Test

Conflicts:
Test/GTest/Makefile.inc

Revision add1ifaec - 21.10.2015 10:39 - Giuseppe Ferro

- BitSetTolnteger tests done.

- Removed useless files.

- Merged with 237.2 and 237.3
#238

Revision f83924de - 21.10.2015 18:28 - Giuseppe Ferro

-Moved timeout from Streaml to Single/DoubleBufferedStream
-Put the attribute timeout only in BufferedStreamIOBuffer

-Put Error messages instead of TODO in StreamString and
StreamMemoryReference

#238

Revision 9874a5af - 22.10.2015 12:54 - Giuseppe Ferro

Fixed lint warnings.
#238

Revision 7916619 - 22.10.2015 14:07 - Giuseppe Ferro

Added PrintFormatted and GetToken tests to StreamString and
StreamMemoryReference to trigger GetReadBuffer() and GetWriteBuffer()
protected functions.

#238

Revision 304c13ec - 22.10.2015 15:51 - André Neto

#169 merged with #238 and cleaned common linting problems

Revision 5e0d8ea5 - 23.10.2015 15:55 - Giuseppe Ferro

Merge remote-tracking branch 'origin/develop' into #238.3_Remained_Stuff
Conflicts:

Source/Core/BareMetal/L3Streams/Doublelnteger.h

Test/Core/BareMetal/L0Types/Makefile.inc
Test/Core/BareMetal/L3Streams/BitSetTolntegerTest.cpp

History

#1 - 29.09.2015 16:35 - André Neto

- Status changed from New to Code: Impl

#2 - 14.10.2015 12:25 - Riccardo Vitelli

- Assignee set to Giuseppe Ferro

#3 - 22.10.2015 15:25 - Riccardo Vitelli
- Description updated

- Assignee deleted (Giuseppe Ferro)

#4 - 22,10.2015 15:26 - Riccardo Vitelli
- Status changed from Code: Impl to Closed
